Wacht Bench is live — AI-assisted development for Wacht

List Project Board Items

GET
/ai/projects/{project_id}/board/items

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

project_id*string

Query Parameters

cursor?string
status?string
include_archived?string
archived_only?string
limit?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/ai/projects/string/board/items"
{
  "status": 0,
  "message": "string",
  "data": {
    "data": [
      {
        "id": "string",
        "board_id": "string",
        "task_key": "string",
        "title": "string",
        "description": "string",
        "status": "string",
        "assigned_thread_id": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "schedule": {
          "id": "string",
          "board_id": "string",
          "task_key": "string",
          "template_payload": {
            "title": "string",
            "description": "string",
            "metadata": {
              "property1": null,
              "property2": null
            }
          },
          "mounts": [
            {
              "mount_path": "string",
              "s3_relative_key": "string",
              "mode": "rw\" | \"ro\" | string",
              "description": "string"
            }
          ],
          "status": "string",
          "schedule_kind": "once\" | \"interval\" | string",
          "interval_seconds": 0,
          "next_run_at": "string",
          "last_fired_at": "string",
          "overlap_policy": "skip\" | \"parallel\" | string",
          "created_at": "string",
          "updated_at": "string"
        },
        "mounts": [
          {
            "mount_path": "string",
            "s3_relative_key": "string",
            "mode": "rw\" | \"ro\" | string",
            "description": "string"
          }
        ],
        "state_version": "string",
        "schedule_id": "string",
        "scheduled_for": "string",
        "fired_at": "string",
        "completed_at": "string",
        "archived_at": "string",
        "created_at": "string",
        "updated_at": "string",
        "pending_question": {
          "questions": [
            {
              "id": "string",
              "text": "string",
              "answer_kind": {}
            }
          ],
          "context": "string",
          "asked_at": "string",
          "asked_by_thread_id": "string",
          "asked_by_assignment_id": "string"
        },
        "pending_approval": {
          "request_message_id": "string",
          "description": "string",
          "tools": [
            {
              "tool_id": "string",
              "tool_name": "string",
              "tool_description": "string"
            }
          ]
        }
      }
    ],
    "limit": 0,
    "has_more": true,
    "next_cursor": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}